Plot HomeDocumentation
Tasks

Batch Create or Update Tasks

Creates or updates multiple tasks in a single request (max 100)

POST
/v1/tasks/batch

Creates or updates multiple tasks in a single request (max 100)

Query Parameters

expand?|||array<>

Expansion fields: "all" (full enrichment, default), "none" (IDs only), or comma-separated/repeated fields (status,team,project,assignee)

Default"all"

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/tasks/batch" \  -H "Content-Type: application/json" \  -d '{    "tasks": [      {        "name": "string"      }    ]  }'
{  "succeeded": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "dueDate": "2019-08-24T14:15:22Z",      "completedAt": "2019-08-24T14:15:22Z",      "publicId": 0,      "priority": true,      "visibility": "string",      "createdById": "e13e432a-5323-4484-a91d-b5969bc564d9",      "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",      "teamId": "a4ede8ba-7c0a-4485-8763-cbd9b282fbec",      "statusId": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "deletedAt": "2019-08-24T14:15:22Z",      "assignedToId": "7a15e53b-1403-4928-9451-d7062c3a8737",      "repeatId": "cef73cf7-0158-4282-a1d8-86ad6c8f41a9",      "description": {        "html": "string",        "markdown": "string"      },      "status": {        "id": "string",        "name": "string",        "stage": "string",        "color": "string"      },      "assignee": {        "id": "string",        "name": "string",        "email": "string"      },      "team": {        "id": "string",        "name": "string",        "publicId": "str"      },      "project": {        "id": "string",        "name": "string"      }    }  ],  "failed": [    {      "task": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string",        "teamId": "a4ede8ba-7c0a-4485-8763-cbd9b282fbec",        "statusId": "e900225c-0629-4e96-be6e-86a17a309645",        "description": "string",        "dueDate": 1,        "priority": false,        "assignedToId": "7a15e53b-1403-4928-9451-d7062c3a8737",        "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",        "visibility": "private",        "labelIds": [          "8972d346-8fd5-41c3-969c-36d0e4f16979"        ]      },      "error": "string"    }  ]}